diff options
author | Sam James <sam@gentoo.org> | 2020-10-02 00:16:38 +0000 |
---|---|---|
committer | Sam James <sam@gentoo.org> | 2020-10-02 00:16:38 +0000 |
commit | 380642387a12bd0a8f41e2ddb88c91a9043db0b5 (patch) | |
tree | cfb37161f7db16c61db4e6c7eb5a136372d2fc25 /dev-db | |
parent | dev-db/oracle-instantclient-basic: cleanup old EAPI 4 (diff) | |
download | gentoo-380642387a12bd0a8f41e2ddb88c91a9043db0b5.tar.gz gentoo-380642387a12bd0a8f41e2ddb88c91a9043db0b5.tar.bz2 gentoo-380642387a12bd0a8f41e2ddb88c91a9043db0b5.zip |
dev-db/oracle-instantclient-jdbc: cleanup old EAPI 4
Bug: https://bugs.gentoo.org/744721
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'dev-db')
-rw-r--r-- | dev-db/oracle-instantclient-jdbc/Manifest | 2 | ||||
-rw-r--r-- | dev-db/oracle-instantclient-jdbc/oracle-instantclient-jdbc-11.2.0.4.ebuild | 92 |
2 files changed, 0 insertions, 94 deletions
diff --git a/dev-db/oracle-instantclient-jdbc/Manifest b/dev-db/oracle-instantclient-jdbc/Manifest deleted file mode 100644 index 90e44a21c8a8..000000000000 --- a/dev-db/oracle-instantclient-jdbc/Manifest +++ /dev/null @@ -1,2 +0,0 @@ -DIST instantclient-jdbc-linux-11.2.0.4.0.zip 1562440 BLAKE2B e3f377802958b22aede4d91c9bc16a85f5c0ff2cec3066a4a49f5c71ab90c17f9b7c6f29da146304327569cb3d5d533a3807941e4061254e0cf57a8387a55b04 SHA512 0a92a6529642203d48846d3f22f3756ada22942ea5e7c36d779d220dc7195301d4016edd8ee5124f9e51429bb77d9890602c1a18884eec58ff40c2aed24e55f9 -DIST instantclient-jdbc-linux.x64-11.2.0.4.0.zip 1562474 BLAKE2B f93a05ad324bb364ddab83b0bc75f6c0bc8d7224f53cf337c9887f99e07c98a8752e7d4581b19ca38c70bbe3fcf1b492d753f715bed7ba8144f37c03cc9524c0 SHA512 289a08bddc81687b73a42fb35ae6ea294dd8f536ae9d3e95142ab78ad72eeebf66947fa6f5585e48e35b7f92e65fe6a295fb564b8353d389e76bfecf35c48c18 diff --git a/dev-db/oracle-instantclient-jdbc/oracle-instantclient-jdbc-11.2.0.4.ebuild b/dev-db/oracle-instantclient-jdbc/oracle-instantclient-jdbc-11.2.0.4.ebuild deleted file mode 100644 index 75696a7a33b6..000000000000 --- a/dev-db/oracle-instantclient-jdbc/oracle-instantclient-jdbc-11.2.0.4.ebuild +++ /dev/null @@ -1,92 +0,0 @@ -# Copyright 1999-2015 Gentoo Foundation -# Distributed under the terms of the GNU General Public License v2 - -EAPI="4" - -inherit eutils multilib-minimal - -MY_PLAT_x86="Linux x86" -MY_A_x86="${PN/oracle-/}-linux-${PV}.0.zip" - -MY_PLAT_amd64="Linux x86-64" -MY_A_amd64="${PN/oracle-/}-linux.x64-${PV}.0.zip" - -DESCRIPTION="Oracle 11g Instant Client: JDBC supplement" -HOMEPAGE="http://www.oracle.com/technetwork/database/features/instant-client/index.html" -SRC_URI=" - abi_x86_32? ( ${MY_A_x86} ) - abi_x86_64? ( ${MY_A_amd64} ) -" - -LICENSE="OTN" -SLOT="0" -KEYWORDS="amd64 x86" -RESTRICT="fetch splitdebug" -IUSE="" - -DEPEND="app-arch/unzip" -RDEPEND="~dev-db/oracle-instantclient-basic-${PV}" - -S="${WORKDIR}" - -QA_PREBUILT="usr/lib*/oracle/${PV}/client/lib*/lib*" - -set_my_abivars() { - MY_PLAT=MY_PLAT_${ABI}; MY_PLAT=${!MY_PLAT} # platform name - MY_A=MY_A_${ABI} ; MY_A=${!MY_A} # runtime distfile - # ABI sourcedir - MY_S="${S}/${ABI}/instantclient_11_2" - - [[ -n ${MY_PLAT} ]] -} - -pkg_nofetch() { - eerror "Please go to" - eerror " ${HOMEPAGE%/*}/index-097480.html" - eerror " and download" - local ABI - for ABI in $(multilib_get_enabled_abis) - do - set_my_abivars || continue - eerror "Instant Client for ${MY_PLAT}" - eerror " JDBC: ${MY_A}" - done - eerror "After downloading, put them in:" - eerror " ${DISTDIR}/" -} - -src_unpack() { - local ABI - for ABI in $(multilib_get_enabled_abis) - do - set_my_abivars || continue - mkdir -p "${MY_S%/*}" || die - cd "${MY_S%/*}" || die - unpack ${MY_A} - done -} - -src_install() { - # all binaries go here - local oracle_home=/usr/$(get_libdir)/oracle/${PV}/client - into "${oracle_home}" - - local ABI - for ABI in $(multilib_get_enabled_abis) - do - if ! set_my_abivars; then - elog "Skipping unsupported ABI ${ABI}." - continue - fi - einfo "Installing runtime for ${MY_PLAT} ..." - - cd "${MY_S}" || die - - dolib.so lib*$(get_libname)* - - insinto "${oracle_home}"/$(get_libdir) - doins *.jar - - eend $? - done -} |